body {
  margin: 0;
  /* padding: 0; */
  color: white;
  font-family: 'Questrial', sans-serif;
  letter-spacing: 1.3px;
  background-color: black;
}

p {
  font-family: 'Pontano Sans', sans-serif;
  letter-spacing: 0.9px;
}

a {
  text-decoration: none;
  color: white;
  transition: color 0.3s ease;
}

a:hover {
  font-weight: 900;
}

#menuToggle {
  display: block;
  position: absolute;
  top: 50px;
  left: 50px;
  z-index: 1;
  -webkit-user-select: none;
  user-select: none;
}

#menuToggle input {
  display: block;
  width: 40px;
  height: 32px;
  position: absolute;
  top: -7px;
  left: -5px;
  cursor: pointer;
  opacity: 0; /* hide this */
  z-index: 2; /* and place it over the hamburger */
  -webkit-touch-callout: none;
}

#menuToggle span {
  display: block;
  width: 50px;
  height: 7px;
  margin-bottom: 7px;
  position: relative;
  background: white;
  border-radius: 3px;
  z-index: 1;
  transform-origin: 4px 0px;
  transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0),
              background 0.5s cubic-bezier(0.77,0.2,0.05,1.0),
              opacity 0.55s ease;
}

#menuToggle span:first-child {
  transform-origin: 0% 0%;
}

#menuToggle span:nth-last-child(2) {
  transform-origin: 0% 100%;
}

#menuToggle input:checked ~ span {
  opacity: 1;
  transform: rotate(45deg) translate(-2px, -1px);
  background: white;
}

#menuToggle input:checked ~ span:nth-last-child(3) {
  opacity: 0;
  transform: rotate(0deg) scale(0.2, 0.2);
}
#menuToggle input:checked ~ span:nth-last-child(2) {
  transform: rotate(-45deg) translate(0, -1px);
}

#menu {
  position: absolute;
  width: 90vw;
  margin: -100px 0 0 -50px;
  padding: 50px;
  padding-top: 125px;
  background: black;
  list-style-type: none;
  -webkit-font-smoothing: antialiased;
  transform-origin: 0% 0%;
  transform: translate(-100%, 0);
  transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0);
}

#menu li {
  padding: 20px 0;
}

/* #menuToggle > #menu > a:active {
display: none;
} */

#menuToggle input:checked ~ ul {
  transform: none;
}


h4 {
    font-family: 'Questrial', sans-serif;
    font-size: 1.1em;
}

h2 {
  letter-spacing: 3px;
}

.centered {
align-items: center;
}


nav {
  display: inline-block;
  width: 100%;
  text-align: center;
  background-color: black;
  padding: 3vh 0 3vh 0;
  /* font-family: 'Futura Std'; */
  font-size: 1em;
}

nav > a {
  padding: 0 2vw 0 2vw;
  color: white;
  text-decoration: none;
}

#PFlogoNav {
  height: 40px;
  width: auto;
}

.photo {
  height: 100%;
  min-height: 90vh;
  width: auto;
  background-position: center;
  background-size: cover;
  vertical-align: center;
}

#landingPhoto {
  background-image: url("photos/Landing.png");
}

#tehtaammePhoto {
  background-image: url("photos/Tehtaamme.png");
  height: 100vh;
}

#tuotteemmePhoto {
  background-image: url("photos/tausta.jpg");
  min-height: 0;
  height: 100%;
}

#pastakauppaPhoto {
  background-image: url("photos/Pastakauppa.png");
}

#PFlogoLand {
 height: 50vh;
 position: relative;
 left: 50vw;
}

.textBox {
  background-color: #74b074;
  width: 30vw;
  height: auto;
  position: relative;
  left: 55vw;
  top: -5vh;
}

.textBox > p {
    padding: 40px;
    margin: auto;
}

/* TEXTBOX 2 */

.textBox2 {
  background-color: #f39200;
  width: 40vw;
  height: auto;
  position: relative;
  left: 40vw;
  top: 40vh;
  display: flex;
}

.textBox2 > #tehtaammeText > p {
    padding: 10px 30px 30px 30px;
    /* margin: auto; */
}

.textBox2 > #tehtaammeText > h2 {
 margin: auto;
 padding: 30px 0 0 30px;
}

#tehtaamme1 {
  width: 18vw;
}

#tehtaamme2 {
  width: 15vw;
  font-size: 0.8em;
  text-align: center;
}

#tehtaammeVector {
  height: 20vh;
  padding-top: 60px;
}

/* TEXTBOX 3 */

.textBox3 {
  background-color: #9e6bab;
  width: 40vw;
  height: auto;
  position: relative;
  left: 30vw;
  top: 30vh;
}

.textBox3 > p {
    padding: 10px 30px 30px 30px;
    margin: auto;
}

.textBox3 > a > h2 {
 margin: auto;
 padding: 30px 0 0 30px;
}



/* TUOTTEEMME */

.tuoteHead {
  width: 60vw;
  margin: auto;
  text-align: center;
  margin-top: 7vh;
}

#tuoteHead > a > h2 {
  clear: both;
  margin: 0;
  text-align: center;
  padding-top: 7vh;
}

#tuotteetKuvaus > p {
  width: 60vw;
  text-align: center;
  margin: auto;
  padding: 2vh 0 5vh 0
}

.tuoteWrap {
  display: flex;
  justify-content: center;
}

.tuoteContainer {
  width: 15vw;
  padding: 5vh 5vw 0vh 5vw;
  text-align: center;
}

#tuoteLast {
  padding-bottom: 10vh;
}

.tuoteImg {
  width: 15vw;
}

.tuoteNimi {
}

.tuoteKuvaus {

}


footer {
  display: inline-block;
  width: 100%;
  text-align: center;
  background-color: black;
  padding: 3vh 0 3vh 0;
  font-size: 1em;
}

footer > p {
    /* font-family: 'Futura Std'; */
  display: inline-block;
  padding: 0 2vw 0 2vw;
  vertical-align: middle;
}

footer > a > p {
  display: inline-block;
  padding: 0 2vw 0 2vw;
  vertical-align: middle;
}


/* HORECA */
table {
  width: 60vw;
  margin: auto;
  margin-top: 7vh;
  margin-bottom: 7vh;
}

th {
  font-weight: 900;
}

table, th, td {
    border: 1px solid white;
    padding: 1.7vh;
    border-collapse: collapse;
}

.tuoteEra, .tuoteNum {
    text-align: center;
}

.tuoteOtsikko {
  background-color: white;
  color: black;
}




/* MEDIA QUERIES */

@media (min-width: 1025px) {
  #mobilenav {
    display: none;
  }
}

@media only screen and (max-width: 1025px) {

body {
  font-size: 2.5em;
}
nav {
    padding: 3vh 0 1vh 0;
}

#mobilenav {
  /* height: 30px; */
  position: fixed; /* Make it stick/fixed */
/* top: -100px; /* Hide the navbar 50 px outside of the top view */
/* width: 100vw; /* Full width */
/* transition: top 0.3s; /* Transition effect when sliding down (and up) */
z-index: 999;

}

#desknav {
  display: none;
}

  #PFlogoNav {
    margin-top: -25px;
    height: 80px;
    /* padding: 30px; */
  }

  #tuotteemmePhoto {
    background-image: url("photos/tausta.jpg");
    height: 100%;
  }

  .tuoteWrap {
    display: block;
  }
  .tuoteContainer {
    width: 80vw;
    margin: auto;
    padding: 5vh 2vw 0vh 2vw;
  }
  .tuoteImg {
    width: 80vw;
  }

  #PFlogoLand {
  margin-top: 4vh;
   height: 40vh;
   position: relative;
   left: 1vw;
  }

  .textBox {
    width: 80vw;
    position: relative;
    /* top: 15vh; */
    left: 10vw;
  }

  .textBox > p {
    padding: 50px;
    text-align: center;
  }

  .textBox2 {
    width: 80vw;
    left: 10vw;
    top: 15vh;
    display: block;
    text-align: center;
    height: auto;
  }

  .textBox2 > #tehtaammeText > p {
      padding: 10px 30px 0px 30px;
      /* margin: auto; */
}
  #tehtaamme1 {
    width: 60vw;
    margin: auto;
  }

  #tehtaamme2 {
    width: 60vw;
    font-size: 0.8em;
    text-align: center;
    margin: auto;
    padding-bottom: 30px;
  }

  #tehtaammeVector {
    height: 10vh;
    padding-top: 10px;
  }

  .textBox3 {
    width: 80vw;
    position: relative;
    left: 10vw;
    top: 15vh;
  }
}
